<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%
    String serverPath  = (String) request.getAttribute("mapserver");
    String mapfilePath = (String) request.getAttribute("mapfile");
    String layerName   = (String) request.getAttribute("layer");
    String timeToLive  = (String) request.getAttribute("ttl");
%>

<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title>
            <bean:message key="gnviewer.app.title"/>
        </title>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
        <meta http-equiv="Content-Script-Type" content="text/javascript"/>
        <meta http-equiv="Content-Style-Type" content="text/css"/>
        <meta http-equiv="Expires" content="Mon, 01 Jan 1990 00:00:01 GMT"/>
        <meta http-equiv="pragma" content="no-cache"/>
        <meta http-equiv="cache-control" content="no-cache"/>
        <meta name="robots" content="noindex"/>
        <link href="styles/default.css" rel="stylesheet" type="text/css"/>
        <script type="text/javascript" src="scripts/gnviewer.js"></script>
        <script src="http://www.openlayers.org/api/OpenLayers.js"></script>
        <script type="text/javascript">
            var lon  = 5;
            var lat  = 55;
            var zoom = 5;
            var map, layer;

            function init() {
                <%if(request.getAttribute("wms_published") != null){ %>
                map        = new OpenLayers.Map('map');
                var server = '<%=serverPath%>?MAP=<%=mapfilePath%>';
                layer      = new OpenLayers.Layer.WMS(
                    "MyWMS",
                    server,
                    {
                        layers: '<%=layerName%>',
                        format: 'image/png'
                    },
                    {
                        singleTile: 'true'
                    }
                );

                map.addLayer(layer);
                map.setCenter(new OpenLayers.LonLat(lon, lat), zoom);
                <%}%>
            }

            function toggle(element) {
                var ele = document.getElementById(element);
                console.log("Element: " + ele.style.visibility);
                var vis = ele.style.visibility;
                if (vis != "visible") {
                    ele.style.visibility = "visible";
                }
                else {
                    ele.style.visibility = "hidden";
                }
            }
        </script>
    </head>

    <body id="gnviewerbody" onLoad="init()">
    <div id="overlay"></div>
    <div style="width:100%;left:0;top:0;width:100%;height:100%;position:absolute">
        <div id="overlayContent">
            <p>
                <bean:message key="gnviewer.productselection.overlay.title"/>
            </p>
        </div>
    </div>
    <div id="page">
        <div id="headerElement">
            <jsp:include page="header.jsp" />
        </div>
        <div id="contentElement" class="contentElement bgblue2">
            <jsp:include page="index.jsp" />
            <%if(request.getAttribute("wms_published") != null){ %>
            <div class="outerMap">
                <div id="wms">
                    <table>
                        <tr>
                            <td class="parameter"><bean:message key="gnviewer.wms.server.path"/>:</td>
                            <td class="wmsvalue"><%=serverPath%>?MAP=<%=mapfilePath%></td>
                        </tr>
                        <tr>
                            <td class="parameter"><bean:message key="gnviewer.wms.server.layer"/>:</td>
                            <td class="wmsvalue"><%=layerName%></td>
                        </tr>
                        <tr>
                            <td class="parameter"><bean:message key="gnviewer.wms.layer.ttl"/>:</td>
                            <td class="wmsvalue"><%=timeToLive%></td>
                        </tr>
                    </table>
                </div>
                <div id="map"></div>
            </div>
            <%}%>
         </div>
         <br>
         <div id="footerElement">
            <jsp:include page="footer.jsp" />
        </div>
    </div>
    </body>
</html>
